> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start batch of email validations

> Start batch of email validations

<Check>For each email that goes through the validation process will consume 1 email credit from your account</Check>


## OpenAPI

````yaml post /email-validations
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /email-validations:
    post:
      tags:
        - Email Validation
      summary: Start batch of email validations
      description: Start batch of email validations
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - emails
              additionalProperties: false
              properties:
                emails:
                  type: array
                  items:
                    type: object
                    required:
                      - email
                    additionalProperties: false
                    properties:
                      email:
                        type: string
                        format: email
        required: true
        description: Emails to be validated
      responses:
        '202':
          description: Batch accepted
          content:
            application/json:
              examples:
                Batch accepted:
                  value:
                    id: 019e8e97-1969-7cdd-9d15-d43d22c1cb43
                    object: email_validation
                    status: queued
                    results: []
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-1969-7cdd-9d15-d43d22c1cb43
              schema:
                $ref: '#/components/schemas/response_email_validation_object'
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing field:
                  value:
                    _errors:
                      - code: type_error
                        title: Type Error
                        detail: >-
                          Type error: emails must be an array of objects
                          containing the key `email`
                        source:
                          pointer: /emails
                    object: error
                Type error:
                  value:
                    _errors:
                      - code: type_error
                        title: Type Error
                        detail: >-
                          Type error: emails must be an array of objects
                          containing the key `email`
                        source:
                          pointer: /emails
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '402':
          description: Insufficient credits
          content:
            application/json:
              examples:
                Insufficient credits:
                  value:
                    _errors:
                      - code: insufficient_credits
                        title: Insufficient Credits
                        detail: >-
                          You do not have enough credits to perform this
                          operation.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    _errors:
                      - code: internal_server_error
                        title: Internal Server Error
                        detail: Something went wrong.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_email_validation_object:
      type: object
      required:
        - id
        - object
        - status
        - results
        - _links
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - email_validation
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - canceled
            - error
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_email_validation_result_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_email_validation_result_object:
      type: object
      required:
        - object
        - email
        - result
        - catch_all
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - email_validation_result
        email:
          type: string
          format: email
        result:
          type: string
          enum:
            - deliverable
            - risky
            - undeliverable
            - unknown
        catch_all:
          type: boolean
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````